<?php
	session_start();
	require_once('inc/config.php');
	require_once('inc/TemplatePower.php');


	// detect current script & template
	$script = pathinfo(strtolower($_SERVER['PHP_SELF']));
	$_SCRIPT = $script['basename'];
	list($scriptname, $scriptext) = split('\.', $_SCRIPT);
	$_TEMPLATE = $scriptname.'.tpl';

	// load template
	$_TPL = new TemplatePower('tpl/'.$_TEMPLATE);
	$_TPL -> prepare();

	if(!isset($_REQUEST['action'])){
		$_TPL->newBlock('select_form');
		$_TPL->printToScreen();
		exit;
	}elseif($_REQUEST['action'] == 'select'){
		$filename = $_FILES['filename']['tmp_name'];
		$lines = file($filename);
		if(!$lines){
			printError("      :". $filename);
		}else{
			$src_file = pathinfo($filename);
			$full_name = $_REQUEST['path']. 'private_itt.txt';
			$fres = fopen($full_name, "w");
			if(!$fres){
				printError("      : ". $full_name);
			}else{
				if(!fwrite($fres, TEXT_HEADER. "\r\n")) printError("     .");
				$cntstd = $cntbold = $cntborder = $cntinvers = $cntsub = $cntrub = 0;
				for($count=0; $count < count($lines); $count++){
					$lines[$count] = trim($lines[$count]);
					if(substr($lines[$count] ,0 ,1) == '<'){
						$tag = strtoupper(substr($lines[$count], 0, strpos($lines[$count], '>')+1));
						$untag_line = substr($lines[$count], strpos($lines[$count], '>')+1);
						if(strpos (MSG_BOLD, $tag) !== FALSE){
							$res_str = PARA_STYLE_STD. CH_STYLE_BOLD. BULLET_CHAR. $untag_line. CH_STYLE_END;
							$cntbold++;
						}elseif(strpos(MSG_BORDER, $tag) !== FALSE){
							$res_str = PARA_STYLE_BORDER_BEGIN. $untag_line. PARA_STYLE_BORDER_END;
							$cntborder++;
						}elseif(strpos(MSG_INVERSE, $tag) !== FALSE){
							$res_str = PARA_STYLE_INVERS_BEGIN. $untag_line. PARA_STYLE_INVERS_END;
							$cntinvers++;
						}elseif(strpos(RUB_SUB_BLOCK, $tag) !== FALSE){
							$res_str = PARA_STYLE_SUB. $untag_line;
							$cntsub++;
						}elseif(strpos(RUB_BLOCK, $tag) !== FALSE){
							$res_str = PARA_STYLE_RUB. $untag_line;
							$cntrub++;
						}else{
							$res_str = PARA_STYLE_STD. BULLET_CHAR. $lines[$count];
							$cntstd++;
						}
						if(!fwrite($fres, $res_str. "\r\n")) printError("      .". $lines[$count]);
					}else{
						if(strlen($lines[$count]) == 0) continue;
						$res_str = PARA_STYLE_STD. BULLET_CHAR. $lines[$count];
						$cntstd++;
						if(!fwrite($fres, $res_str. "\r\n")) printError("      .". $lines[$count]);
					}
				}
				fclose($fres);
				printMsg("  .   ". $full_name);
                printMsg("<BR>: $cntrub<BR>: $cntsub<BR> : $cntstd<BR> /: $cntbold<BR> : $cntborder<BR> : $cntinvers");
				$_TPL->newBlock('select_form');
			}
		}
	}

	$_TPL->printToScreen();
	exit;

// --------------------  functions  ----------------------

function printError($msg){
	global $_TPL;

	$_TPL->newBlock('error');
	$_TPL->assign('msg', $msg);
}

function printMsg($msg){
	global $_TPL;

	$_TPL->newBlock('msg');
	$_TPL->assign('msg', $msg);
}


?>
